Package weka.classifiers.rules

# Class DecisionTableHashKey

java.lang.Object
weka.classifiers.rules.DecisionTableHashKey

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class DecisionTableHashKey extends Object implements Serializable, RevisionHandler
Class providing hash table keys for DecisionTable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionTableHashKey(double[] t)`
  Constructor for a hashKey
  `DecisionTableHashKey(Instance t, int numAtts, boolean ignoreClass)`
  Constructor for a hashKey

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object b)`
  Tests if two instances are equal
  `String`
  `getRevision()`
  Returns the revision string.
  `int`
  `hashCode()`
  Calculates a hash code
  `void`
  `print_hash_code()`
  Prints the hash code
  `String`
  `toString(Instances t, int maxColWidth)`
  Convert a hash entry to a string

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionTableHashKey

    public DecisionTableHashKey(Instance t, int numAtts, boolean ignoreClass) throws Exception
    Constructor for a hashKey
    Parameters:
      `t` - an instance from which to generate a key
      `numAtts` - the number of attributes
      `ignoreClass` - if true treat the class as a normal attribute
    Throws:
      `Exception` - if something goes wrong

  - ### DecisionTableHashKey

    public DecisionTableHashKey(double[] t)
    Constructor for a hashKey
    Parameters:
      `t` - an array of feature values

- ## Method Details

  - ### toString

    public String toString(Instances t, int maxColWidth)
    Convert a hash entry to a string
    Parameters:
      `t` - the set of instances
      `maxColWidth` - width to make the fields
    Returns:
      string representation of the hash entry

  - ### hashCode

    public int hashCode()
    Calculates a hash code
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the hash code as an integer

  - ### equals

    public boolean equals(Object b)
    Tests if two instances are equal
    Overrides:
      `equals` in class `Object`
    Parameters:
      `b` - a key to compare with
    Returns:
      true if both objects are equal

  - ### print_hash_code

    public void print_hash_code()
    Prints the hash code

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision